Package org.jfree.layouting.input.swing

## Interface Converter

- All Known Implementing Classes:
    `CharacterConverter`, `ColorConverter`, `DocumentConverter`, `FontConverter`, `ParagraphConverter`

      public interface Converter

  This interface describes a class that is used to convert style attributes to css style attributes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConverterAttributeSet` | `convertToCSS​(java.lang.Object key, java.lang.Object value, ConverterAttributeSet cssAttr, javax.swing.text.Element context)` | Converts a style key and a style value to a CSS compatible style key and style value.

- - ### Method Detail

    - #### convertToCSS

          ConverterAttributeSet convertToCSS​(java.lang.Object key,
                                             java.lang.Object value,
                                             ConverterAttributeSet cssAttr,
                                             javax.swing.text.Element context)

      Converts a style key and a style value to a CSS compatible style key and style value. A conversion can result in more than one key and value.
      Parameters:
        `key` - The style key to convert.
        `value` - The style value to convert.
        `cssAttr` - The current converted CSS attributes for the current element.
        `context` - The current Element.
      Returns:
        The conversion result or null if no converstion has been done.